<% salt_target_branch = (ENV['CHANGE_ID'] || ENV['SALT_TARGET_BRANCH'] || 'branch').to_s.gsub(/\./, "-") %>
<% pyvervalue = ENV['TEST_SUITE'] || 'pyver' %>
<% transportvalue = ENV['TEST_TRANSPORT'] || ENV['NOX_ENV_NAME'] || 'trnsprt' %>
<% buildnumbervalue = ENV['BUILD_NUMBER'] || '0' %>
<% buildnamevalue = ENV['TEST_PLATFORM'] || 'bld' %>
<% vm_hostname = ENV['VM_HOSTNAME'] || "%s%s%s%s-%s" % [buildnamevalue, pyvervalue, transportvalue, buildnumbervalue, salt_target_branch] %>
platforms:
- name: alma-8-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/alma/8/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-alma-8-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: ec2-user
- name: amazon-2-aarch64
  driver:
    instance_type: m6g.large
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/amazon/2/aarch64/*
      state: available
    <% end %>
    block_device_mappings:
    - device_name: /dev/xvda
      ebs:
        delete_on_termination: true
        volume_size: 30
        volume_type: gp3
    tags:
      Name: kitchen-amazon-2-aarch64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: ec2-user
- name: amazon-2-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/amazon/2/x86_64/*
      state: available
    <% end %>
    block_device_mappings:
    - device_name: /dev/xvda
      ebs:
        delete_on_termination: true
        volume_size: 30
        volume_type: gp3
    tags:
      Name: kitchen-amazon-2-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: ec2-user
- name: arch-lts-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/arch/lts/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-arch-lts-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: arch
- name: centos-7-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/centos/7/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-centos-7-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: centos-8-aarch64
  driver:
    instance_type: m6g.large
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/centos/8/aarch64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-centos-8-aarch64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: centos-8-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/centos/8/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-centos-8-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: centosstream-8-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/centosstream/8/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-centosstream-8-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: debian-9-amd64
  driver:
    block_device_mappings:
      - device_name: xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/debian/9/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-debian-9-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: debian-10-arm64
  driver:
    instance_type: m6g.large
    block_device_mappings:
      - device_name: /dev/xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/debian/10/arm64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-debian-10-arm64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: debian-10-amd64
  driver:
    block_device_mappings:
      - device_name: /dev/xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/debian/10/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-debian-10-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: fedora-32-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/fedora/32/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-fedora-32-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo dnf install curl -y
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: fedora-33-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/fedora/33/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-fedora-33-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo dnf install curl -y
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: fedora-34-x86-64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/fedora/34/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-fedora-34-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo dnf install curl -y
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: freebsd-122-amd64
  driver:
    instance_type: r5d.large
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/freebsd/122/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-freebsd-122-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: freebsd-130-amd64
  driver:
    instance_type: r5d.large
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/freebsd/130/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-freebsd-130-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: opensuse-15-x86-64
  driver:
    instance_type: m5.large
    block_duration_minutes: 360
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/opensuse/15/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-opensuse-15-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: ec2-user
- name: photon-3-x86-64
  driver:
    block_device_mappings:
      - device_name: /dev/xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/photon/3/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-photon-3-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: root
- name: photon-4-aarch64
  driver:
    instance_type: m6g.large
    block_device_mappings:
      - device_name: /dev/xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/photon/4/aarch64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-photon-4-aarch64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: root
- name: photon-4-x86-64
  driver:
    block_device_mappings:
      - device_name: /dev/xvda
        ebs:
          volume_type: gp3
          volume_size: 20
          delete_on_termination: true
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/photon/4/x86_64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-photon-4-x86_64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
  transport:
    username: root
- name: ubuntu-1604-amd64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/ubuntu/1604/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-ubuntu-1604-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: ubuntu-1804-amd64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/ubuntu/1804/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-ubuntu-1804-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: ubuntu-2004-arm64
  driver:
    instance_type: m6g.large
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/ubuntu/2004/arm64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-ubuntu-2004-arm64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: ubuntu-2004-amd64
  driver:
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/ubuntu/2004/amd64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-ubuntu-2004-amd64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    install_after_init_environment: true
    init_environment: |
      sudo hostnamectl set-hostname <%= vm_hostname %>.saltstack.net || true
      sudo bash -c "sed -i '/^127.0.1.1/d' /etc/hosts" || true
      sudo bash -c "echo 127.0.1.1 <%= vm_hostname %> <%= vm_hostname %>.saltstack.net >> /etc/hosts" || true
    cache_commands:
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
- name: windows-2016-x64
  os_type: windows
  driver:
    instance_type: c5.xlarge
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/windows/2016/x64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-windows-2016-x64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
    retryable_tries: 120
    block_device_mappings:
      - device_name: /dev/sda1
        ebs:
          volume_type: gp3
          volume_size: 50
          delete_on_termination: true
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    cache_commands:
      - find %{sandbox_path}/testing/tests -type f | xargs unix2dos
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
    init_environment: |
      winrm set winrm/config/winrs '@{MaxMemoryPerShellMB="5000"}'
      reg add "hklm\system\currentcontrolset\control\session manager\memory management" /v pagingfiles /t reg_multi_sz /d "d:\pagefile.sys 4096 8192" /f
  transport:
    name: winrm
    receive_timeout: 120
- name: windows-2019-x64
  os_type: windows
  driver:
    instance_type: c4.xlarge
    <% if ENV['AMI_IMAGE_ID'] %>
    image_id: <%= ENV['AMI_IMAGE_ID'] %>
    <% else %>
    image_search:
      owner-id: '178480506716'
      name: saltstack/ci/windows/2019/x64/*
      state: available
    <% end %>
    tags:
      Name: kitchen-windows-2019-x64-<%= 10.times.map{[('a'..'z').to_a, (0..9).to_a].join[rand(36)]}.join %>
    retryable_tries: 120
    block_device_mappings:
      - device_name: /dev/sda1
        ebs:
          volume_type: gp3
          volume_size: 50
          delete_on_termination: true
  provisioner:
    name: salt_solo
    salt_install: false
    run_salt_call: false
    log_level: info
    sudo: true
    require_chef: false
    max_retries: 2
    remote_states: {}
    testingdir: /testing
    state_top: {}
    pillars: {}
    cache_commands:
      - find %{sandbox_path}/testing/tests -type f | xargs unix2dos
      - find %{sandbox_path}/testing/requirements/static/ -name '*.txt' | xargs sed -i '7s;^;--index-url=https://pypi-proxy.saltstack.net/root/local/+simple/\n;'
    init_environment: |
      winrm set winrm/config/winrs '@{MaxMemoryPerShellMB="5000"}'
      reg add "hklm\system\currentcontrolset\control\session manager\memory management" /v pagingfiles /t reg_multi_sz /d "d:\pagefile.sys 4096 8192" /f
  transport:
    name: winrm
    receive_timeout: 120
